summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/import-nonnative41
-rwxr-xr-xtests/tests/import-tarbomb49
2 files changed, 49 insertions, 41 deletions
diff --git a/tests/tests/import-nonnative b/tests/tests/import-nonnative
index fa9b74b..d324172 100755
--- a/tests/tests/import-nonnative
+++ b/tests/tests/import-nonnative
@@ -14,45 +14,4 @@ t-import-chk example 1.0-1
# 3.0 (quilt), single-debian-patch, one orig
t-import-chk sunxi-tools 1.2-2.~~dgittest
-mangle1 () {
- rm -f ${1}_*
- t-import-chk1 "$@"
- cd $tmp/mirror/pool/main
- dpkg-source -x ${p}_${v}.dsc td
- orig=${p}_${v%-*}.orig.tar.gz
- tar zxf $orig
- rm $orig ${p}_${v}.*
- cd $p
- mkdir urk
- echo urk >urk/urk
- export GZIP=-1
-}
-mangle2 () {
- cd ..
- dpkg-source -b td
- rm -rf $p td
- cd $tmp
- t-archive-none $p
- t-archive-query
- t-import-chk2
-}
-
-# 3.0 (quilt), multiple patches, tarbomb orig
-mangle1 example 1.0-1
-tar zvcf ../$orig *
-mangle2
-
-# 3.0 (quilt), multiple patches, tarbomb orig with dot
-mangle1 example 1.0-1
-tar zvcf ../$orig .
-mangle2
-
-# 3.0 (quilt), multiple patches, tarbomb orig with dot and .git and .pc
-mangle1 example 1.0-1
-git init
-mkdir .pc
-echo SPONG >.pc/SPONG
-tar zvcf ../$orig .
-mangle2
-
echo done.
diff --git a/tests/tests/import-tarbomb b/tests/tests/import-tarbomb
new file mode 100755
index 0000000..c0bc4c4
--- /dev/null
+++ b/tests/tests/import-tarbomb
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-import-chk
+
+t-tstunt-parsechangelog
+
+mangle1 () {
+ rm -f ${1}_*
+ t-import-chk1 "$@"
+ cd $tmp/mirror/pool/main
+ dpkg-source -x ${p}_${v}.dsc td
+ orig=${p}_${v%-*}.orig.tar.gz
+ tar zxf $orig
+ rm $orig ${p}_${v}.*
+ cd $p
+ mkdir urk
+ echo urk >urk/urk
+ export GZIP=-1
+}
+mangle2 () {
+ cd ..
+ dpkg-source -b td
+ rm -rf $p td
+ cd $tmp
+ t-archive-none $p
+ t-archive-query
+ t-import-chk2
+}
+
+# 3.0 (quilt), multiple patches, tarbomb orig
+mangle1 example 1.0-1
+tar zvcf ../$orig *
+mangle2
+
+# 3.0 (quilt), multiple patches, tarbomb orig with dot
+mangle1 example 1.0-1
+tar zvcf ../$orig .
+mangle2
+
+# 3.0 (quilt), multiple patches, tarbomb orig with dot and .git and .pc
+mangle1 example 1.0-1
+git init
+mkdir .pc
+echo SPONG >.pc/SPONG
+tar zvcf ../$orig .
+mangle2
+
+echo done.